org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONTypeSerializer

- java.lang.Object
- - TypeSerializer
  - - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONTypeSerializer

-     public class GraphSONTypeSerializer
      extends TypeSerializer

  Extension of the Jackson's default TypeSerializer. An instance of this object will be passed to the serializers on which they can safely call the utility methods to serialize types and making it compatible with the version 2.0 of GraphSON.
  Author:
    Kevin Gallardo (https://kgdo.me)

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeSerializer` | `forProperty(BeanProperty beanProperty)`
    `String` | `getPropertyName()`
    `TypeIdResolver` | `getTypeIdResolver()`
    `JsonTypeInfo.As` | `getTypeInclusion()`
    `WritableTypeId` | `writeTypePrefix(JsonGenerator jsonGenerator, WritableTypeId writableTypeId)`
    `WritableTypeId` | `writeTypeSuffix(JsonGenerator jsonGenerator, WritableTypeId writableTypeId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forProperty

          public TypeSerializer forProperty(BeanProperty beanProperty)

    - #### getTypeInclusion

          public JsonTypeInfo.As getTypeInclusion()

    - #### getPropertyName

          public String getPropertyName()

    - #### getTypeIdResolver

          public TypeIdResolver getTypeIdResolver()

    - #### writeTypePrefix

          public WritableTypeId writeTypePrefix(JsonGenerator jsonGenerator,
                                                WritableTypeId writableTypeId)
                                         throws IOException

      Throws:
        `IOException`

    - #### writeTypeSuffix

          public WritableTypeId writeTypeSuffix(JsonGenerator jsonGenerator,
                                                WritableTypeId writableTypeId)
                                         throws IOException

      Throws:
        `IOException`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.